Assignee: % Done: 100%
Category: User Interface Estimated time: 0.00 hour
Target version: 0.1

Description

Afin de simplifier la configuration d'un compte, il vaudrait mieux utiliser un champ JID au lieu de username sur la page Account de
I'activite Settings. Ce champ contiendrait le jid complet sous la forme username@domain . Le domain est generalement le nom de
domaine du serveur auquel on se connecte, le port par defaut est le 5222.

L'onglet XMPP contiendrait dans ce cas, une case a cocher indiquant "Utiliser un nom d'hote et un port personnaliser" (ou un truc du
genre) et les champs qu'il contient surchargerait les parametres par defaut.

L'activite de creation de compte devra elle aussi prendre ses changements en compte, et donc demander a l'utilisateur un jid pour
creer son compte. Dans un premier temps, on utilisera donc toujours les parametres par defaut pour la creation de compte.

History

#1 - 09/14/2009 04:32 PM - Frédéric Barthéléry

- Status changed from New to Resolved
C'est ce qu'on a dans la version que j'utilise. L'onglet compte prend le JID et I'onglet xmpp est utilisé que si on remplit le champ serveur (a verifier)

#2 - 09/27/2009 12:16 AM - Nikita Kozlov
- % Done changed from 0 to 100

#3 - 10/19/2009 11:23 PM - Frédéric Barthéléry

- Status changed from Resolved to Closed
